/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include "channel.h"
#include <qfont.h>

Channel::Channel(QWidget *parent, const QString &n, const QString &topic, bool prv): QTextEdit(parent)/*{{{*/
{
	this->prv = prv;
	chname = n;
	setReadOnly(true);
	setTextFormat(PlainText);
	setFocusPolicy(QWidget::NoFocus);
	setTopic(topic);
}/*}}}*/

Channel::Channel(QWidget *parent, const QString &n, bool prv): QTextEdit(parent)/*{{{*/
{
	this->prv = prv;
	chname = n;
	setReadOnly(true);
	setTextFormat(PlainText);
	setFocusPolicy(QWidget::NoFocus);
	setTopic(" ");
}/*}}}*/

Channel::~Channel()/*{{{*/
{
}/*}}}*/

