/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __CHANNEL_H
#define __CHANNEL_H

#include <qtextedit.h>

class Channel: public QTextEdit
{
	private:
		QString chname;
		QString topic;
		bool prv;
	public:
		Channel(QWidget *parent, const QString &name, const QString &topic, bool prv=false);
		Channel(QWidget *parent, const QString &name, bool prv=false);
		~Channel();
		QString name() { return chname;	}
		bool isPrivate() { return prv; }
		QString setTopic(const QString &t) { return topic=t; }
		QString getTopic() { return topic; }
};

#endif

