/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include <qapplication.h>
#include <qmessagebox.h>
#include <qtranslator.h>
#include <unistd.h>
#include <sys/types.h>
#include "appwin.h"
#include "icons.h"
#include "global.h"

bool amIroot()/*{{{*/
{
	return getuid()==0;
}/*}}}*/

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	Icons::init();

	if (amIroot())
		QMessageBox::warning(NULL, "VyQChat", "Running VyQChat as root user is not a good idea.\n"
				"Due to the way how Qt handles application configuration, writing any settings as root\n"
				"would make it global. Therefore your settings won't be saved.", "OK");

	//
	// setup translation
	/*QTranslator trn(0);
	if (trn.load(QString("vyqchat_") + QTextCodec::locale(), QString(DATADIR)))
		app.installTranslator(&trn);*/
	
	MainWindow win;
	app.setMainWidget(&win);
	win.show();
	return app.exec();
}

